Quickmail

Blocks ::: block_quickmail
Maintained by Buddy Ethridge, Robert Russo
A block that provides selective, bulk emailing within courses. Developed by LSU.
Latest release:
3442 sites
934 downloads
99 fans
Current versions available: 6

Quickmail is a block that provides selective, bulk emailing within courses.

Features

  • Multiple attachments
  • Drafts
  • Signatures
  • Filter by Role
  • Filter by Groups
  • Optionally allow Students to email people within their group.

License

Quickmail adopts the same license that Moodle does.

Authors

Quickmail was developed at Louisiana State University.

Potential privacy issues

The Privacy API is not implemented in this plugin.

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3

Contributors

Buddy Ethridge (Lead maintainer)
Robert Russo: Lead Maintainer
Philip Cali: Former Lead Developer
jason peak: Former maintainer
David Elliott: Former maintainer
It's me!
Chad Mazilly: Former Maintainer
Please login to view contributors details and/or to contact them

Comments RSS

Comments

  • Tue, Sep 27, 2011, 4:12 PM

    Hi,

    I'm really happy that this block was developped for 2.0, thank you.

    I installed it on our Moodle (WIndows, IIS7, PHP 5.3.6, SQL Server 2008), sending an email works fine but I get an error 500 when trying to consult the history (emaillog.php).

    Do you have any idea concerning the origin of this issue?

    Cheers,
    Max

  • Thu, Sep 29, 2011, 2:41 AM
    Hi Maxime. What does your PHP error log say is happening to cause that 500 response?
  • Fri, Oct 7, 2011, 9:25 PM
    HI I just tried adding it to my test moodle (2.1.1) and it showed up in the plugins to install page the first time but I reloaded this a couple of times to clear something else that was pending install and now it won't install even when i delete / recrete the folder in the right place and refresh?
  • Tue, Oct 11, 2011, 10:50 PM
    Moodle 2.1

    Like David, I can't get past the Plugins check page in Admin notifications. When I click Upgrade, I just get a blank page.
    .../admin/index.php?confirmplugincheck=1
  • Tue, Oct 18, 2011, 4:20 AM
    I have the same problem: "I can't get past the Plugins check page in Admin notifications. When I click Upgrade, I just get a blank page."
    .../admin/index.php?confirmplugincheck=1
  • belle
    Thu, Oct 27, 2011, 9:43 AM
    Hi,

    I just tried using this block with Moodle 2.0.4 (Windows, IIS7, PHP 5.3.5), it works fine for teachers but I was unable to get it to work for students I changed the permissions to yes for students but it results in a 404 error when trying to go to 'compose new email'.

    Any help would be appreciated thanks,
    Tegan
  • Tue, Nov 8, 2011, 2:45 AM
    Adam -

    I'm getting this error when I click "Compose new email" in a course that uses groups:

    Debug info: Object of class Closure could not be converted to string
    Stack trace:
    line 359 of /lib/setuplib.php: coding_exception thrown
    line 18 of /blocks/quickmail/email_form.php: call to default_error_handler()
    line 8 of /blocks/quickmail/email_form.php: call to email_form->option_display()
    line ? of unknownfile: call to email_form->reduce_users()
    line 128 of /blocks/quickmail/email_form.php: call to array_reduce()
    line 153 of /lib/formslib.php: call to email_form->definition()
    line 225 of /blocks/quickmail/email.php: call to moodleform->moodleform()

    It only happens when at least one student belongs to a group. If you have groups created in your course but no one is in them, the compose button works fine.

    -Tony
  • Tue, Nov 8, 2011, 10:47 PM
    Hello everyone,

    For some reason, Moodle doesn't email me when I get a comment on this page.

    We'll look at these issues very soon.
  • Dickinson College
    Wed, Nov 30, 2011, 12:31 AM
    Hello. I was glad to find a version of Quickmail for Moodle 2.1. It seems to be working except that FastCGI (on IIS) throws a 500 error every time a message is sent. The message gets sent, but I still get the error on screen. Does anyone have any suggestions for what might be happening and how to resolve it?

    Thanks,
    David
  • Wed, Jan 4, 2012, 7:09 PM
    This block is affected by the bug described here:

    http://docs.moodle.org/dev/Themes_2.0_overflow_problems

    The recommendation is to replace table based layouts with divs. It is totally unusable in a fixed width theme.
  • Sat, Jan 14, 2012, 3:40 AM
    Hi. Does anybody know whether version 2011021812 works with Moodle 2.2 as is?
Please login to post comments